<?php defined('BASEPATH') || exit('No direct script access allowed');

if (! function_exists('set_messages')) {

	function set_messages($perfil, $galeria, $cadastro, $inbox)
    {
        $CI =& get_instance();
        
        $CI->load->library('mensagem');
        
        $data = array();       
        $db_rows = array();
        $hasNullRows = 0;
    	
    	if($perfil === '4') // Anunciante
    	{
    	    Mensagem::set_area('contato');
                
            foreach($inbox as $msg)
            {
                $link  = base_url('anunciante/conta/mensagem').'/'.$msg->id;
                $date  = converte_datahora($msg->data, 1);
            
                Mensagem::add('contato_'.$msg->id, ucwords($msg->nome), ucfirst(strtolower($msg->assunto)), $link, $date);
            }
            
    	    Mensagem::set_area('mensagem');
    	    if(!$galeria)
    	    {
                $title = 'Envie imagens para a sua página pública!';
                $msg = 'Sua página ficará muito mais interessante com imagens que você pode enviar através da aba "Anunciante > Dados Cadastrais" do painel de navegação.';
                $link = base_url('anunciante/painel/galeria');
                $button = 'Ir para Galeria';
                $class = 'bg-purple';
                $icon = 'fa-camera';
                Mensagem::add('galeria', $title, $msg, $link, $button, $icon, $class);
    	    }
    	    
    	    if($cadastro->mp_access_token === null || strlen($cadastro->mp_access_token) === 0)
            {
                $title = 'Autorize sua conta do Mercado Pago!';
                $msg = 'Você somente poderá começar a utilizar os serviços do <b>QI Club</b> após conectar sua conta do Mercado Pago com o nosso servidor.';
                $link = base_url('anunciante/conta');
                $icon = 'fa-credit-card';
                $button = 'Autorizar';
                Mensagem::add('mercadopago1', $title, $msg, $link, $button, $icon);
            }
    	    
    	    // Dados obrigatórios
    	    $db_rows = array(
    	        'nome', 'sobrenome', 'email', 'rg', 'rg_uf', 'cpf', 'celular', 'dt_nasc','sexo',
    	        'empresa','cnpj','telefone_empresa','pj_cep','pj_estado','pj_cidade','pj_bairro','pj_logradouro','pj_numero',
    	        'atividades','segmento','chamada','descricao','pa_estado','pa_cidade','pa_sexo','idade_minima','idade_maxima','logo_src','banner_src'); 
    	}
        
        Mensagem::set_area('mensagem');
        if(!is_null($cadastro) && !empty($cadastro))
        {
            foreach($cadastro as $key => $val)
            {
                if(in_array($key, $db_rows) && ($val === null || strlen($val) === 0 || (($key === 'anunciante_comercial' && $val === '0') && ($key !== 'anunciante_social' && $val === '0') )))
                {
                   $hasNullRows++;
                }
            }
            
            if($hasNullRows > 0)
            {
                $title = 'Complete seus dados de cadastro!';
                $msg = 'É importante completar seus dados cadastrais para usufruir completamente de todos os serviços do <b>QI Club</b>.';
                $link = base_url('anunciante/painel/cadastro');
                $button = 'Ver Dados';
                $class = 'bg-yellow';
                Mensagem::add('cadastro', $title, $msg, $link, $button, null, $class);
            }
        } else {
            if($perfil === '4')
            {
                /*$title = 'Autorize sua conta do Mercado Pago!';
                $msg = 'Você somente poderá começar a utilizar os serviços do <b>QI Club</b> após conectar sua conta do Mercado Pago com o nosso servidor.';
                $link = base_url('anunciante/conta');
                $icon = 'fa-credit-card';
                $button = 'Autorizar';
                Mensagem::add('mercadopago', $title, $msg, $link, $button, $icon);*/
                
                $title = 'Complete seus dados de cadastro!';
                $msg = 'É importante completar seus dados cadastrais para usufruir completamente de todos os serviços do <b>QI Club</b>.';
                $link = base_url('anunciante/painel/cadastro');
                $button = 'Ver Dados';
                $class = 'bg-yellow';
                Mensagem::add('cadastro', $title, $msg, $link, $button, null, $class);
            }
        }
        
    }
    
}